Invoices
Invoices object
This operation returns a list of invoices.
Note: This operation needs Authentication and supports the following JSON:API features:
Relationships -
invoiceItems,user,register,originalInvoice,order,promoCode,revenueCenterusingincludequery parameter.Filters -
createdAtGt,createdAtGteq,createdAtLt,createdAtLteq,registerIdEqSparse fieldsets - supports all fields of
invoicesand related resources withfieldsquery parameter.
Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>
The number of resources to return in a single response.
Unique identifier.
^[a-zA-Z0-9-]+$Unique identifier.
^[a-zA-Z0-9-]+$Filters the objects that were created after a specified datetime.
Timestamp in RFC 3339 format.
2023-10-16T14:30:00ZDate in RFC 3339 format.
2023-10-16Filters the objects that were created after or on a specified datetime.
Timestamp in RFC 3339 format.
2023-10-16T14:30:00ZDate in RFC 3339 format.
2023-10-16Filters the objects that were created before a specified datetime.
Timestamp in RFC 3339 format.
2023-10-17T14:30:00ZDate in RFC 3339 format.
2023-10-17Filters the objects that were created before or on a specified datetime.
Timestamp in RFC 3339 format.
2023-10-17T14:30:00ZDate in RFC 3339 format.
2023-10-17Universally unique ID UUID4.
5efa8b3c-b930-4b31-918d-95ab0e212e64Successful response with invoices data in JSON:API format.
Bad request.
Unauthorized.
Too many requests.
Internal Server Error.
Service is unavailable.
GET /pos/v1/invoices HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"errors": [
{
"id": "text",
"status": "200",
"code": "text",
"title": "text",
"detail": "text",
"source": {
"pointer": "text",
"parameter": "text",
"header": "text"
},
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]
}Last updated
Was this helpful?